rte_dma_conf(3)

NAME
rte_dma_conf

SYNOPSIS

#include <rte_dmadev.h>

  Data Fields

uint16_t nb_vchans
uint64_t flags

Detailed Description

A structure used to configure a DMA device.

See also
    rte_dma_configure

Definition at line 360 of file rte_dmadev.h.

Field Documentation

  uint16_t nb_vchans
The number of virtual DMA channels to set up for the DMA device. This value cannot be greater than the field 'max_vchans' of struct rte_dma_info which get from rte_dma_info_get().

Definition at line 365 of file rte_dmadev.h.

  uint64_t flags
DMA device configuration flags defined as RTE_DMA_CFG_FLAG_*.

Definition at line 375 of file rte_dmadev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.